cpw.mods.fml.client

## Class TextureFXManager

- java.lang.Object
- - cpw.mods.fml.client.TextureFXManager

-     public class TextureFXManager
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextureFXManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bindTextureToName(String name, int index)`
    `void` | `fixTransparency(BufferedImage loadedImage, String textureName)`
    `TextureHelper` | `getHelper()`
    `Dimension` | `getTextureDimensions(String texture)`
    `static TextureFXManager` | `instance()`
    `BufferedImage` | `loadImageFromTexturePack(RenderEngine renderEngine, String path)`
    `void` | `setTextureDimensions(int index, int j, int k)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextureFXManager

          public TextureFXManager()

  - ### Method Detail

    - #### loadImageFromTexturePack

          public BufferedImage loadImageFromTexturePack(RenderEngine renderEngine,
                                               String path)
                                                 throws IOException

      Throws:
        `IOException`

    - #### instance

          public static TextureFXManager instance()

    - #### fixTransparency

          public void fixTransparency(BufferedImage loadedImage,
                             String textureName)

    - #### bindTextureToName

          public void bindTextureToName(String name,
                               int index)

    - #### setTextureDimensions

          public void setTextureDimensions(int index,
                                  int j,
                                  int k)

    - #### getTextureDimensions

          public Dimension getTextureDimensions(String texture)

    - #### getHelper

          public TextureHelper getHelper()